Get all job planning
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_planning| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key to jobs id. |
globally unique identifier | |
| user_id |
Foreign key to user id. |
globally unique identifier | |
| date_from |
Job planning date from |
date | |
| date_to |
Job planning date to |
date | |
| sys_logical_delete |
Logical Delete. If true, means that row has been flagged deleted and will be physically deleted in the next months |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "f5830591-6fec-44ec-935d-a47aaf186104",
"jobs_id": "9ea1dedd-6a16-4184-bf4f-9ddb41d2cf6d",
"user_id": "bd86f9eb-8bf2-4a5f-9460-a1890726d009",
"date_from": "2026-05-10T05:36:47.7162985+00:00",
"date_to": "2026-05-10T05:36:47.7162985+00:00",
"sys_logical_delete": true,
"modified_dateutc": "2026-05-10T05:36:47.7162985+00:00"
}